Index: trunk/src/org/openstreetmap/josm/gui/dialogs/RelationListDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/RelationListDialog.java	(revision 1084)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/RelationListDialog.java	(revision 1169)
@@ -45,132 +45,132 @@
 public class RelationListDialog extends ToggleDialog implements LayerChangeListener, DataChangeListener {
 
-	/**
-	 * The selection's list data.
-	 */
-	private final DefaultListModel list = new DefaultListModel();
+    /**
+     * The selection's list data.
+     */
+    private final DefaultListModel list = new DefaultListModel();
 
-	/**
-	 * The display list.
-	 */
-	private JList displaylist = new JList(list);
+    /**
+     * The display list.
+     */
+    private JList displaylist = new JList(list);
 
-	public RelationListDialog() {
-		super(tr("Relations"), "relationlist", tr("Open a list of all relations."),
-		Shortcut.registerShortcut("subwindow:relations", tr("Toggle: {0}", tr("Relations")), KeyEvent.VK_R, Shortcut.GROUP_LAYER), 150);
-		displaylist.setCellRenderer(new OsmPrimitivRenderer());
-		displaylist.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
-		displaylist.addMouseListener(new MouseAdapter(){
-			@Override public void mouseClicked(MouseEvent e) {
-				if (e.getClickCount() < 2)
-					return;
-				Relation toEdit = (Relation) displaylist.getSelectedValue();
-				if (toEdit != null)
-					new RelationEditor(toEdit).setVisible(true);
-			}
-		});
+    public RelationListDialog() {
+        super(tr("Relations"), "relationlist", tr("Open a list of all relations."),
+        Shortcut.registerShortcut("subwindow:relations", tr("Toggle: {0}", tr("Relations")), KeyEvent.VK_R, Shortcut.GROUP_LAYER), 150);
+        displaylist.setCellRenderer(new OsmPrimitivRenderer());
+        displaylist.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
+        displaylist.addMouseListener(new MouseAdapter(){
+            @Override public void mouseClicked(MouseEvent e) {
+                if (e.getClickCount() < 2)
+                    return;
+                Relation toEdit = (Relation) displaylist.getSelectedValue();
+                if (toEdit != null)
+                    new RelationEditor(toEdit).setVisible(true);
+            }
+        });
 
-		add(new JScrollPane(displaylist), BorderLayout.CENTER);
+        add(new JScrollPane(displaylist), BorderLayout.CENTER);
 
-		JPanel buttonPanel = new JPanel(new GridLayout(1,4));
+        JPanel buttonPanel = new JPanel(new GridLayout(1,4));
 
-		buttonPanel.add(new SideButton(marktr("New"), "addrelation", "Selection", tr("Create a new relation"), new ActionListener() {
-			public void actionPerformed(ActionEvent e) {
-				// call relation editor with null argument to create new relation
-				new RelationEditor(null).setVisible(true);
-			}
-		}), GBC.std());
+        buttonPanel.add(new SideButton(marktr("New"), "addrelation", "Selection", tr("Create a new relation"), new ActionListener() {
+            public void actionPerformed(ActionEvent e) {
+                // call relation editor with null argument to create new relation
+                new RelationEditor(null).setVisible(true);
+            }
+        }), GBC.std());
 
-		buttonPanel.add(new SideButton(marktr("Select"), "select", "Selection", tr("Select this relation"), new ActionListener() {
-			public void actionPerformed(ActionEvent e) {
-				// replace selection with the relation from the list
-				Main.ds.setSelected((Relation)displaylist.getSelectedValue());
-			}
-		}), GBC.std());
+        buttonPanel.add(new SideButton(marktr("Select"), "select", "Selection", tr("Select this relation"), new ActionListener() {
+            public void actionPerformed(ActionEvent e) {
+                // replace selection with the relation from the list
+                Main.ds.setSelected((Relation)displaylist.getSelectedValue());
+            }
+        }), GBC.std());
 
-		buttonPanel.add(new SideButton(marktr("Edit"), "edit", "Selection", tr( "Open an editor for the selected relation"), new ActionListener() {
-			public void actionPerformed(ActionEvent e) {
-				Relation toEdit = (Relation) displaylist.getSelectedValue();
-				if (toEdit != null)
-					new RelationEditor(toEdit).setVisible(true);
-			}
-		}), GBC.std());
+        buttonPanel.add(new SideButton(marktr("Edit"), "edit", "Selection", tr( "Open an editor for the selected relation"), new ActionListener() {
+            public void actionPerformed(ActionEvent e) {
+                Relation toEdit = (Relation) displaylist.getSelectedValue();
+                if (toEdit != null)
+                    new RelationEditor(toEdit).setVisible(true);
+            }
+        }), GBC.std());
 
-		buttonPanel.add(new SideButton(marktr("Delete"), "delete", "Selection", tr("Delete the selected relation"), new ActionListener() {
-			public void actionPerformed(ActionEvent e) {
-				Relation toDelete = (Relation) displaylist.getSelectedValue();
-				if (toDelete != null) {
-					Main.main.undoRedo.add(
-						new DeleteCommand(Collections.singleton(toDelete)));
-				}
-			}
-		}), GBC.eol());
-		Layer.listeners.add(this);
-		add(buttonPanel, BorderLayout.SOUTH);
-	}
+        buttonPanel.add(new SideButton(marktr("Delete"), "delete", "Selection", tr("Delete the selected relation"), new ActionListener() {
+            public void actionPerformed(ActionEvent e) {
+                Relation toDelete = (Relation) displaylist.getSelectedValue();
+                if (toDelete != null) {
+                    Main.main.undoRedo.add(
+                        new DeleteCommand(Collections.singleton(toDelete)));
+                }
+            }
+        }), GBC.eol());
+        Layer.listeners.add(this);
+        add(buttonPanel, BorderLayout.SOUTH);
+    }
 
-	@Override public void setVisible(boolean b) {
-		super.setVisible(b);
-		if (b) updateList();
-	}
+    @Override public void setVisible(boolean b) {
+        super.setVisible(b);
+        if (b) updateList();
+    }
 
-	public void updateList() {
-		list.setSize(Main.ds.relations.size());
-		int i = 0;
-		for (OsmPrimitive e : DataSet.sort(Main.ds.relations)) {
-			if (!e.deleted && !e.incomplete)
-				list.setElementAt(e, i++);
-		}
-		list.setSize(i);
-	}
+    public void updateList() {
+        list.setSize(Main.ds.relations.size());
+        int i = 0;
+        for (OsmPrimitive e : DataSet.sort(Main.ds.relations)) {
+            if (!e.deleted && !e.incomplete)
+                list.setElementAt(e, i++);
+        }
+        list.setSize(i);
+    }
 
-	public void activeLayerChange(Layer a, Layer b) {
-		if ((a == null || a instanceof OsmDataLayer) && b instanceof OsmDataLayer) {
-			if (a != null) ((OsmDataLayer)a).listenerDataChanged.remove(this);
-			((OsmDataLayer)b).listenerDataChanged.add(this);
-			updateList();
-			repaint();
-		}
-	}
+    public void activeLayerChange(Layer a, Layer b) {
+        if ((a == null || a instanceof OsmDataLayer) && b instanceof OsmDataLayer) {
+            if (a != null) ((OsmDataLayer)a).listenerDataChanged.remove(this);
+            ((OsmDataLayer)b).listenerDataChanged.add(this);
+            updateList();
+            repaint();
+        }
+    }
 
-	public void layerRemoved(Layer a) {
-		if (a instanceof OsmDataLayer) {
-			((OsmDataLayer)a).listenerDataChanged.remove(this);
-		}
-	}
-	public void layerAdded(Layer a) {
-		if (a instanceof OsmDataLayer) {
-			((OsmDataLayer)a).listenerDataChanged.add(this);
-		}
-	}
-	public void dataChanged(OsmDataLayer l) {
-		updateList();
-		repaint();
-	}
+    public void layerRemoved(Layer a) {
+        if (a instanceof OsmDataLayer) {
+            ((OsmDataLayer)a).listenerDataChanged.remove(this);
+        }
+    }
+    public void layerAdded(Layer a) {
+        if (a instanceof OsmDataLayer) {
+            ((OsmDataLayer)a).listenerDataChanged.add(this);
+        }
+    }
+    public void dataChanged(OsmDataLayer l) {
+        updateList();
+        repaint();
+    }
 
-	/**
-	 * Returns the currently selected relation, or null.
-	 *
-	 * @return the currently selected relation, or null
-	 */
-	public Relation getCurrentRelation() {
-		return (Relation) displaylist.getSelectedValue();
-	}
+    /**
+     * Returns the currently selected relation, or null.
+     *
+     * @return the currently selected relation, or null
+     */
+    public Relation getCurrentRelation() {
+        return (Relation) displaylist.getSelectedValue();
+    }
 
-	/**
-	 * Adds a selection listener to the relation list.
-	 *
-	 * @param listener the listener to add
-	 */
-	public void addListSelectionListener(ListSelectionListener listener) {
-		displaylist.addListSelectionListener(listener);
-	}
+    /**
+     * Adds a selection listener to the relation list.
+     *
+     * @param listener the listener to add
+     */
+    public void addListSelectionListener(ListSelectionListener listener) {
+        displaylist.addListSelectionListener(listener);
+    }
 
-	/**
-	 * Removes a selection listener from the relation list.
-	 *
-	 * @param listener the listener to remove
-	 */
-	public void removeListSelectionListener(ListSelectionListener listener) {
-		displaylist.removeListSelectionListener(listener);
-	}
+    /**
+     * Removes a selection listener from the relation list.
+     *
+     * @param listener the listener to remove
+     */
+    public void removeListSelectionListener(ListSelectionListener listener) {
+        displaylist.removeListSelectionListener(listener);
+    }
 }
